Bug 803546 - Review Request: hibernate3 - Relational persistence and query service
Review Request: hibernate3 - Relational persistence and query service
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Hernández
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 803558
  Show dependency treegraph
 
Reported: 2012-03-14 21:09 EDT by Andy Grimm
Modified: 2016-11-07 22:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-29 11:47:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
juan.hernandez: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andy Grimm 2012-03-14 21:09:35 EDT
Name        : hibernate3
Version     : 3.6.10
License     : LGPLv2+
URL         : http://www.hibernate.org/
Summary     : Relational persistence and query service
Description :
Hibernate is a powerful, ultra-high performance
object/relational persistence and query service
for Java.

SPEC:
http://downloads.eucalyptus.com/devel/packages/fedora-17/SPECS/hibernate3.spec

SRPM:
http://downloads.eucalyptus.com/devel/packages/fedora-17/sources/hibernate3-3.6.10-1.fc17.src.rpm

NOTE:  This package is "hibernate3" because there will be a hibernate 4 package as part of the JBoss AS7 feature.
Comment 1 Juan Hernández 2012-03-23 05:18:01 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

Output of rpmlint of the source packages:

$ rpmlint hibernate3-3.6.10-1.fc17.src.rpm
hibernate3.src: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate3.src: W: invalid-url Source0: hibernate-orm-3.6.10.Final.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Output of rpmlint of the binary packages:

$ rpmlint hibernate3-3.6.10-1.fc18.noarch.rpm
hibernate3-javadoc-3.6.10-1.fc18.noarch.rpm
hibernate3.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate3.noarch: E: incorrect-fsf-address /usr/share/doc/hibernate3-3.6.10/lgpl.txt
hibernate3-javadoc.noarch: W: invalid-url URL: http://www.hibernate.org/ HTTP Error 403: Forbidden
hibernate3-javadoc.noarch: E: incorrect-fsf-address /usr/share/doc/hibernate3-javadoc-3.6.10/lgpl.txt
2 packages and 0 specfiles checked; 2 errors, 2 warnings.

The warnings are acceptable.

Upstream should be asked to fix the FSF address in the license file.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3923729

[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.

Some of the files in the test suite state in their license header that the license is ASL 2.0, in particular the following:

hibernate-testsuite/src/test/java/org/hibernate/test/annotations/derivedidentities/DependentId.java
hibernate-testsuite/src/test/java/org/hibernate/test/annotations/derivedidentities/EmployerId.java
hibernate-testsuite/src/test/java/org/hibernate/test/annotations/derivedidentities/MedicalHistory.java
hibernate-testsuite/src/test/java/org/hibernate/test/annotations/derivedidentities/Person.java
hibernate-testsuite/src/test/java/org/hibernate/test/annotations/derivedidentities/Employer.java
hibernate-testsuite/src/test/java/org/hibernate/test/annotations/derivedidentities/Dependent.java
hibernate-testsuite/src/test/java/org/hibernate/test/annotations/access/Closet.java
hibernate-testsuite/src/test/java/org/hibernate/test/annotations/access/xml/Driver.java
hibernate-testsuite/src/test/java/org/hibernate/test/annotations/access/xml/Boy.java
hibernate-testsuite/src/test/java/org/hibernate/test/annotations/access/xml/Crew.java
hibernate-testsuite/src/test/java/org/hibernate/test/annotations/access/xml/Waiter.java
hibernate-testsuite/src/test/java/org/hibernate/test/annotations/access/xml/Knive.java
hibernate-testsuite/src/test/java/org/hibernate/test/annotations/access/xml/Tourist.java
hibernate-testsuite/src/test/java/org/hibernate/test/annotations/access/xml/Cook.java
hibernate-testsuite/src/test/java/org/hibernate/test/annotations/access/xml/RentalCar.java
hibernate-testsuite/src/test/java/org/hibernate/test/annotations/access/Foobar.java

We are not currently packaing or even using those tests. If we eventually do the license of the package should be changed to "LGPLv2+ and ASL 2.0".

License type: LGPLv2+

[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.

MD5SUM this package    : 0a2fc55adc48915b53b0ac29d877093d
MD5SUM upstream package: 0a2fc55adc48915b53b0ac29d877093d

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[x]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[x]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.

Latest version is 4.x, this is a packaging of the previous major release and it uses the latest minor release.

[x]  Reviewer should test that the package builds in mock.

Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3923729


=== Issues ===
1. The FSF address in the license file is wrong. Please contact upstream and ask them to fix it.
2. Some files tests state that the license is ASL 2.0, but they are not used or packaged.
3. There is a minor issue in the instructions to get the source from git: the tag has a type, should be "3.6.10.Final" instead of "3.6.1.0.Final".

=== Final Notes ===
None of the issues is important enough to block approval. Please inform upstream of the minor licensing issues and fix the git instructions before commiting.

================
*** APPROVED ***
================
Comment 2 Andy Grimm 2012-04-02 10:55:22 EDT
New Package SCM Request
=======================
Package Name: hibernate3
Short Description: Relational persistence and query service
Owners: arg
Branches: f17
InitialCC: jhernand
Comment 3 Gwyn Ciesla 2012-04-02 11:13:09 EDT
Git done (by process-git-requests).
Comment 4 Orion Poplawski 2012-04-16 12:47:44 EDT
Andy -

  I just built hibernate3-3.6.10-1.fc17.  Would you like to push it to F17?  Then I think this bug can be closed.  Thanks.
Comment 5 Fedora Update System 2012-05-29 11:44:38 EDT
hibernate3-3.6.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/hibernate3-3.6.10-1.fc17
Comment 6 Fedora Update System 2012-06-08 20:06:57 EDT
hibernate3-3.6.10-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.